<?php
	include 'JSON_eWallet.php';

	// prepare parameters for eWallet JSON adapter
	$params = array(
		'fn'    			=> 'eWallet_GetCurrencyBalance',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'UserName'			=> 'IP001',
		'CurrencyCode'		=> 'USD'
	);
	
	$request = json_encode($params);
	echo '<b>Request:</b><br>';
	echo $request;

	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);
	
	echo '<br><br>';
	echo '<b>Response:</b><br>';
	echo $ips_response;
	
	echo '<br><br>';

	// parse return
	$response = json_decode($ips_response);
	echo "m_Code = " . $response->response->m_Code . "<br>"; // if success it should be NO_ERROR
	echo "m_Text = " . $response->response->m_Text . "<br>"; // if error, it will contain error description
	echo "Balance = " . $response->Balance . "<br>"; // users eWallet balance
?>
