<?php
	include 'JSON_eWallet.php';

	// prepare parameters for eWallet HTTP adapter
	$params = array(
		'fn'    			=> 'eWallet_RegisterUser',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'UserName'			=> 'json_user_1',
		'FirstName'			=> 'WSTest',
		'LastName'			=> 'Test',
		'CompanyName'		=> '',
		'Address1'			=> '2500 E Hallandale Beach Blvd',
		'Address2'			=> 'Suite 800 & 900',
		'City'				=> 'Hallandale Beach',
		'State'				=> 'FL',
		'ZipCode'			=> '33009',
		'Country2xFormat'	=> 'US',
		'PhoneNumber'		=> '954-123-4567',
		'CellPhoneNumber'	=> '',
		'EmailAddress'		=> 'user@aol.com',
		'SSN'				=> '123-45-6789',
		'CompanyTaxID'		=> '',
		'GovernmentID'		=> '',
		'MilitaryID'		=> '',
		'PassportNumber'	=> '',
		'DriversLicense'	=> '',
		'DateOfBirth'		=> '9/18/1945',
		'WebsitePassword'	=> 'passw0rd',
		'DefaultCurrency'	=> 'USD'
	);
	
	$request = json_encode($params);
	echo '<b>Request:</b><br>';
	echo $request;

	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);
	
	echo '<br><br>';
	echo '<b>Response:</b><br>';
	echo $ips_response;
	
	echo '<br><br>';
	
	// parse return
	$response = json_decode($ips_response);
	echo "m_Code = " . $response->response->m_Code . "<br>"; // if success it should be NO_ERROR
	echo "m_Text = " . $response->response->m_Text . "<br>"; // if error, it will contain error description
?>
